Delete a Project Release's File

DELETE /api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/releases/{version}/files/{file_id}/

Permanently remove a file from a release. Also removes the physical file from storage, unless it is stored as part of an artifact bundle.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

project_id_or_slug (string)
REQUIRED

The ID or slug of the project the resource belongs to. Project slugs are unique within each organization.

version (string)
REQUIRED

The version identifier of the release

file_id (string)
REQUIRED

The ID of the release file.

Scopes

<auth_token> requires one of the following scopes:
  • project:admin
  • project:releases
Copied
curl https://sentry.io/api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/releases/{version}/files/{file_id}/ \
 -H 'Authorization: Bearer <auth_token>' \
 -X DELETE
RESPONSE
Copied
No Content.
Was this helpful?